# $Revision: 1.26 $, $Date: 2002/11/17 18:14:31 $

# conditional build
# _without_dist_kernel          without distribution kernel

%define		_orig_name	ip_masq_icq

Summary:	Kernel module for masqerading ICQ connections
Summary(pl):	Modu kernela do maskowania pocze ICQ
Name:		kernel-net-%{_orig_name}
Version:	0.56
%define	_rel	12
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://freeshell.org/~djsf/masq-icq/%{_orig_name}-%{version}.tar.gz
%{!?_without_dist_kernel:Buildrequires:         kernel-headers < 2.4.0 }
BuildRequires:	%{kgcc_package}
Obsoletes:	ip_masq_icq
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Linux kernel module that provides masquerading support for
the ICQ protocol, allowing users to initiate message/file/chat TCP
connections to ICQ clients in the masqueraded network from the rest of
the world. All current ICQ protocols except ICQ2k (UDP v[2-5], TCP
v3/ICQ98/ICQ99) are supported.

%description -l pl
To jest modu kernela ktry zapewnia maskaradowanie dla protokou ICQ,
pozwalajcy uytkownikom na rozpoczynanie pocze przesyania
wiadomoci/plikw/pogawdek z reszty wiata do wntrza maskaradowanej
sieci. Wszystkie aktualnie uywane protokoy ICQ z wyjtkiem ICQ2000
(UDP v[2-5], TCP v3/ICQ98/ICQ99) s dostpne.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Kernel module for masqerading ICQ connections for SMP machines
Summary(pl):	Modu kernela do maskowania pocze ICQ dla maszyn z SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Obsoletes:	ip_masq_icq

%description -n kernel-smp-net-%{_orig_name}
This is a Linux kernel module that provides masquerading support for
the ICQ protocol, allowing users to initiate message/file/chat TCP
connections to ICQ clients in the masqueraded network from the rest of
the world. All current ICQ protocols except ICQ2k (UDP v[2-5], TCP
v3/ICQ98/ICQ99) are supported.

%description -n kernel-smp-net-%{_orig_name} -l pl
To jest modu kernela ktry zapewnia maskaradowanie dla protokou ICQ,
pozwalajcy uytkownikom na rozpoczynanie pocze przesyania
wiadomoci/plikw/pogawdek z reszty wiata do wntrza maskaradowanej
sieci. Wszystkie aktualnie uywane protokoy ICQ z wyjtkiem ICQ2000
(UDP v[2-5], TCP v3/ICQ98/ICQ99) s dostpne.

%prep
%setup -q -n %{_orig_name}-%{version}

%build
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -D__KERNEL__ -D__SMP__ -DCONFIG_X86_LOCAL_APIC -I%{_kernelsrcdir}/include %{_orig_name}.c
mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -D__KERNEL__ -I%{_kernelsrcdir}/include %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

gzip -9nf README TODO ChangeLog

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc *.gz
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
%doc *.gz
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-net-ip_masq_icq.spec,v $
Revision 1.26  2002/11/17 18:14:31  kloczek
- release 12: rebuild against kernel 2.2.22-6.

Revision 1.25  2002/10/02 06:17:25  kloczek
- release 11: fix: define %%{_rel} before using this.

Revision 1.24  2002/09/30 13:44:11  kloczek
- release 10: rebuild against kernel 2.2.22.

Revision 1.23  2002/08/18 17:32:42  kloczek
- release 9: rebuild against kernel 2.2.21.

Revision 1.22  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.21  2002/03/04 22:22:22  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.7.

Revision 1.20  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.19  2002/02/26 15:11:05  qboosh
- use %%kgcc macro

Revision 1.18  2002/02/26 13:15:53  qboosh
- missing Prereq: /sbin/depmod for -smp

Revision 1.17  2002/02/26 13:05:30  qboosh
- BR: egcs, removed BR: awk (present in rpm-build)

Revision 1.16  2002/02/26 12:59:14  qboosh
- use requires_releq_kernel_{up,smp} macros, release 6

Revision 1.15  2002/02/23 21:21:47  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 5, STBR

Revision 1.14  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/11 01:36:46  kloczek
- adapterized.

Revision 1.12  2002/02/10 19:08:07  marcus
- rel. 4 (for build with 2.2.20-10 and new 2.4)

Revision 1.11  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.10  2002/01/27 09:50:27  marcus
- addedd %post/%postun for smp

Revision 1.9  2002/01/26 20:49:22  marcus
- rel 3, stbr, used some macros

Revision 1.8  2002/01/26 20:05:00  marcus
- s/gcc/kgcc/g

Revision 1.7  2002/01/18 02:13:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/09 19:19:45  marcus
- fixed SMP build

Revision 1.5  2002/01/09 06:40:26  marcus
- build separate packages for UP and SMP
- rel 2.

Revision 1.4  2001/09/20 16:17:18  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.3  2001/08/24 22:40:45  saq
- s/install -m644/cp/
- adapterized

Revision 1.2  2001/08/15 20:34:19  saq
- use %%_kernelsrcdir
- conditional smp build
- @... release suffix
- BuildRequires kernel-headers < 2.4.0 (doesn't compile on 2.4 for me)
- conflicts wrong kernel
- gzip -9nf the docs
- %%postun introduced

Revision 1.1  2001/07/05 23:31:05  mkochano
- Renamed from ip_masq_icq.spec
- Added BuildRequires: awk
- 'cut' & 'grep' replaced with 'awk'.

Revision 1.3  2001/07/05 13:46:55  mkochano
- Release 2.
- Added documentation.

Revision 1.2  2001/06/10 21:20:48  zagrodzki
- fixed compilation

Revision 1.1  2001/06/10 21:16:29  zagrodzki
- init
